org.gnome.gtk

## Class EntryIconPosition

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.EntryIconPosition

-     public final class EntryIconPosition
      extends org.freedesktop.bindings.Constant

  Constants used to specify where an icon will be placed in an `Entry`.
  Since:
    4.0.13
  Author:
    Guillaume Mazoyer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EntryIconPosition` | `PRIMARY` The icon will be placed at the beginning of the `Entry` (depending on the text direction).
    `static EntryIconPosition` | `SECONDARY` The icon will be placed at the end of the `Entry` (depending on the text direction).

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PRIMARY

          public static final EntryIconPosition PRIMARY

      The icon will be placed at the beginning of the `Entry` (depending on the text direction).

    - #### SECONDARY

          public static final EntryIconPosition SECONDARY

      The icon will be placed at the end of the `Entry` (depending on the text direction).